%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-glance
Version:        12.5.0
Release:        5%{?dist}
Summary:        Puppet module for OpenStack Glance
License:        ASL 2.0

URL:            https://launchpad.net/puppet-glance

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.5.0
Patch0001: 0001-Add-node_staging_uri-parameter.patch
Patch0002: 0002-Add-ability-to-configure-enabled_import_methods.patch
Patch0003: 0003-Fix-syntax-for-setting-enabled_import_methods.patch
Patch0004: 0004-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0005: 0005-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0006: 0006-Configure-access_key-and-secret_key-as-secret.patch
Patch0007: 0007-Update-glance-packages-name-for-Fedora.patch
Patch0008: 0008-Add-missing-glance-cinder-store-settings.patch
Patch0009: 0009-Add-missing-glance-parameter-required-for-cinder-sto.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Glance

%prep
%setup -q -n openstack-glance-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/



%files
%{_datadir}/openstack-puppet/modules/glance/


%changelog
* Thu Mar 28 2019 Pranali Deore <pdeore@redhat.com> 12.5.0-5
- Add missing glance parameter required for cinder store (rhbz#1646955)
- Add missing glance cinder store settings (rhbz#1646955)

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 12.5.0-4
- Update glance packages name for Fedora
- Configure access_key and secret_key as secret
- Update Gemfile to pull spec_helper from stable/queens

* Tue Jul 24 2018 Jon Schlueter <jschluet@redhat.com> 12.5.0-3
- Add 'openstack-db' tag to db-sync Exec resource

* Wed May 16 2018 Alan Bishop <abishop@redhat.com> 12.5.0-2
- Fix syntax for setting enabled_import_methods (rhbz#1552583)
- Add ability to configure enabled_import_methods (rhbz#1552583)
- Add node_staging_uri parameter (rhbz#1552583)

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.5.0-1
- Update to 12.5.0

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0



